package com.semarchy.mdm.client.samples;

import static com.semarchy.mdm.client.samples.SamplesConstants.PASSWORD;
import static com.semarchy.mdm.client.samples.SamplesConstants.SEMARCHY_URL;
import static com.semarchy.mdm.client.samples.SamplesConstants.USERNAME;

import java.util.List;

import com.semarchy.mdm.client.IMDMConnection;
import com.semarchy.mdm.client.MDMConnectionFactory;
import com.semarchy.mdm.runtime.platform.DataEditionID;

/**
 * This sample demonstrates how to connect to a Semarchy Convergence For MDM instance
 * and list the Data Editions defined on this instance. Editions
 * 
 * @author sarod
 * 
 */
public class Sample1_ListDataEditions {

	public static void main(String[] args) {

		// First create a connections to the Semarchy Convergence For MDM
		// instance for a given user and password
		IMDMConnection conn = MDMConnectionFactory.connect(SEMARCHY_URL,
				USERNAME, PASSWORD);
		
		System.out.println("Connected to Convergence For MDM Instance. Platform Version = " + conn.getPlatformVersion());

		// Get all DataEditions without filter
		List<DataEditionID> editions = conn.getDataEditions(null, null, null);
		
		// Display the list of DataEditions
		System.out.println("List of Data Editions :");
		for (DataEditionID dedID : editions) {
			System.out.println("\t- " + dedID.getDataEditionName());
		}

	}
}
